weather.data<- read.csv("C:/Users/Olga Korosteleva/Desktop/weather_description.csv",
header=TRUE, sep=",")

LA<- weather.data$Los.Angeles

X3<- ifelse(LA=="sky is clear", "clear", ifelse(LA %in% c("broken clouds",
"few clouds", "overcast clouds", "scattered clouds"),"clouds", 
ifelse(LA %in% c("light intensity drizzle", "dust", "fog", 
"haze", "mist", "smoke", "drizzle"),"fog","rain")))


library(Hmisc) #Harrell Miscellaneous packages
X2<- Lag(X3,shift=1)
X1<- Lag(X3,shift=2)

sss<- ifelse(X1=="clear" & X2=="clear" & X3=="clear",1,0) 
css<- ifelse(X1=="clouds" & X2=="clear" & X3=="clear",1,0)
fss<- ifelse(X1=="fog" & X2=="clear" & X3=="clear",1,0) 
rss<- ifelse(X1=="rain" & X2=="clear" & X3=="clear",1,0) 
ssc<- ifelse(X1=="clear" & X2=="clear" & X3=="cloudy",1,0)
csc<- ifelse(X1=="clouds" & X2=="clear" & X3=="clouds",1,0) 
fsc<- ifelse(X1=="fog" & X2=="clear" & X3=="clouds",1,0) 
rsc<- ifelse(X1=="rain" & X2=="clear" & X3=="clouds",1,0)
ssf<- ifelse(X1=="clear" & X2=="clear" & X3=="fog",1,0)
csf<- ifelse(X1=="clouds" & X2=="clear" & X3=="fog",1,0)
fsf<- ifelse(X1=="fog" & X2=="clear" & X3=="fog",1,0)
rsf<- ifelse(X1=="rain" & X2=="clear" & X3=="fog",1,0)
ssr<- ifelse(X1=="clear" & X2=="clear" & X3=="rain",1,0)
csr<- ifelse(X1=="clouds" & X2=="clear" & X3=="rain",1,0)
fsr<- ifelse(X1=="fog" & X2=="clear" & X3=="rain",1,0)
rsr<- ifelse(X1=="rain" & X2=="clear" & X3=="rain",1,0)

#computing P(X3=s|X2=s,X1=s)
sum(sss)/sum(sss+ssc+ssf+ssr)

#computing P(X3=s|X2=s)
sum(sss+css+fss+rss)/sum(sss+css+fss+rss+ssc+csc+fsc+rsc+ssf+csf+fsf+rsf+ssr+csr+fsr+rsr)


