#specifying the transition probability matrix
tm<- matrix(c(1, 0, 0, 0, 0, 0, 
              1/4, 0, 1/4, 1/4, 0, 1/4,
              0, 1/2, 0, 1/2, 0, 0,
              0, 1/4, 1/4, 0, 1/4, 1/4,
              1/3, 0, 0, 1/3, 0, 1/3,
              0, 1/3, 0, 1/3, 1/3, 0), nrow=6, 
ncol=6, byrow=TRUE)

#setting counter
nsec<- 0

#estimating expected number of seconds
p<- matrix(NA, nrow=172, ncol=6)
p[1,]<- c(0, 0, 0, 1, 0, 0)

for (i in 2:172) {
  p[i,]<- p[i-1,]%*%tm
   nsec<- nsec+(i-1)*(p[i,1]-p[i-1,1])
}

print(nsec)

