#plotting intensity rate
t=c(0,1.5,3,4,8)
lambda=c(10, 10,5,8,4)
plot(t, lambda, type="n", col="blue", xlim=c(0,8), 
ylim=c(0,12), xlab="Time", ylab="Intensity rate")
segments(t[-5]+0.07, lambda[-1], t[-1], lambda[-1], lwd=2, col="blue")
points(t, lambda, cex=1.2, pch=19, col="blue")
points(t[-5], lambda[-1], cex=1.2, pch=1, col="blue")



#plotting mean value function
t<- c(0, 1.5, 3, 4, 8)
Lambda<- c(0, 15, 22.5, 30.5, 46.5)
plot(t,Lambda, type="l", lwd=2, col="blue", xlim=c(0,8), 
ylim=c(0,50), xlab="Time", ylab="Integrated rate function")
points(t,Lambda, cex=1.2, pch=16, col="blue")


