storm.data<- read.csv(file="C:/Users/000110888/Desktop/stormdata.csv", 
header=TRUE, sep=",")

#creating date-time variable
storm.data$datetime<- as.POSIXct(paste(as.Date(storm.data$Date), storm.data$Time))

#estimating lambda
print(nevents<- nrow(storm.data))
print(ndays<- (as.numeric(storm.data$datetime[nevents])-as.numeric(storm.data$datetime[1]))/(24*3600))
print(lambda.hat<- nevents/ndays)

#estimating theta
print(theta<- 1.645*sqrt(mean(storm.data$Damage^2))/(sqrt(lambda.hat*ndays)*mean(storm.data$Damage)))